ECHO off
WHERE /Q node || (ECHO Node.js must be installed before using this script! & PAUSE & EXIT)
PAUSE
IF EXIST %~dp0/wget.exe (ECHO wget located, good to continue) ELSE (ECHO Missing wget.exe! Place it in the directory next to this script. & PAUSE & EXIT)
@ECHO Finished dependency checking
PAUSE
CALL npm install http-server --verbose
CALL npm install website-scraper --verbose
CALL npm install website-scraper-puppeteer --verbose
@ECHO Finished node dependency installs
PAUSE
SET base_path=%~dp0
SET "move_to_extrapath=node_modules\website-scraper-puppeteer\lib\"
SET "move_from_extrapath=util\index.js"
SET move_to_path=%base_path%%move_to_extrapath%
SET move_from_path=%base_path%%move_from_extrapath%
@ECHO Finished Setting index file vars
PAUSE
MOVE /Y %move_from_path% %move_to_path%
@ECHO Finished moving index file
PAUSE
CALL node index.js %~dp0
@ECHO Called JS downloader
PAUSE
::wget -r -np -nH -P EatTheDungeon/ --wait=0.2 https://bewilderedgames.com/img/
::wget -r -np -nH -P EatTheDungeon/ --wait=0.2 https://bewilderedgames.com/sfx/
::wget -r -np -nH -P EatTheDungeon/ --wait=0.2 https://bewilderedgames.com/fonts/
::wget -r -np -nH -P EatTheDungeon/ --wait=0.2 https://bewilderedgames.com/bgm/